-- ------------------
--
--     WashUGb
--
-- ------------------
drop table if exists dbTable;
create table dbTable (
  dbName varchar(255) not null,
  dbLabel varchar(255) not null,
  -- clade	varchar(255) not null,
  organism varchar(255) not null,
  ucscmirrordb varchar(255) null,
  mirrorlinkurl text null,
  fontcolor char(10) not null, -- font color to be used in genome list
  isDefault int not null
);

-- the url doesn't need to be quoted
insert into dbTable values("hg19heatmap", "Human hg19", "human", "hg19", 
"http://epigenome.wustl.edu/cgi-bin/hgTracks?clade=mammal&org=Human&db=hg19&position=", 
'white', true);
insert into dbTable values("danRer7heatmap", "Zebrafish danRer7", "zebrafish", "danRer7", 
"http://remc.wustl.edu/cgi-bin/hgTracks?clade=vertebrate&org=Zebrafish&db=danRer7&position=", 
'white', false);
insert into dbTable values("mm9heatmap", "Mouse mm9", "mouse", "mm9", 
"http://remc.wustl.edu/cgi-bin/hgTracks?clade=mammal&org=Mouse&db=mm9&position=", 
'white', false);
insert into dbTable values("tair10heatmap", "Arabidopsis tair10", "arabidopsis", "tair10", 
"http://gbrowse.arabidopsis.org/cgi-bin/gbrowse/arabidopsis/?name=", 
'white', false);
insert into dbTable values("dm3heatmap", "Fruit fly dm3", "fruit fly", "dm3", 
"http://remc.wustl.edu/cgi-bin/hgTracks?clade=insect&org=0&db=0&position=", 
'white', false);
insert into dbTable values("AGPv2heatmap", "Maize AGPv2", "maize", "AGPv2", 
"null",
'white', false);
insert into dbTable values("hg19repeatheatmap", "Human repetitve elemnets", "human repeat", \N, \N, 'black', false);
