-- -------------------
--                  --
--  hg19repeatheatmap   --
--                  --
-- -------------------
drop table if exists config;
create table config (
  bbiPath text not null,
  2bitFile text not null,
  defaultTracks text not null,
  defaultMdcategory varchar(255) not null,
  defaultGenelist text not null,
  defaultCustombigwig varchar(255) not null,
  defaultCustombigbed varchar(255) not null,
  defaultCustombam varchar(255) not null,
  defaultPosition varchar(255) not null,
  defaultDecor0 text null,
  defaultDecor8 text null,
  defaultScaffold text not null,
  sampleHub text null,
  ideogram_wiggle1 varchar(255) null,
  ideogram_wiggle2 varchar(255) null,
  hasGene boolean not null,
  allowJuxtaposition boolean not null,
  keggSpeciesCode varchar(255) not null,
  information text not null,
  chromSizeFile varchar(255) not null
);
insert into config values(
'/home/xzhou/data/hg19repeat/bbiFiles/',
'/home/xzhou/data/hg19repeat/hg19repeat.2bit',
-- "/srv/epgg/data/data/subtleKnife/hg19repeat/",
-- "/srv/epgg/data/data/subtleKnife/hg19repeat.2bit",
"Skin01_Fibroblast_H3K27me3_A08392,Skin01_Fibroblast_H3K36me3_A08393,Skin01_Fibroblast_H3K4me1_A08389,Skin01_Fibroblast_H3K4me3_A08390,Skin01_Fibroblast_H3K9me3_A08391,Skin01_Fibroblast_Input_A08394",
"Sample",
"nothing here",
"http://epigenomegateway.wustl.edu/browser/hg19/repeat/sample.bigWig",
"http://epigenomegateway.wustl.edu/browser/hg19/repeat/sample.bigBed",
"http://epigenomegateway.wustl.edu/browser/hg19/repeat/tair10sample.bam",
"MER41B,0,LTR26B,531",
"repeats,density",
\N,
"LTR12F,MER4D1,MER4A,MER65D,LTR37A,MER34A,MER4A1,MER4E,LTR64,LTR39,LTR37B,MER4E1,LTR9B,MER39B,MER31B,MER67C,MER41D,LTR78,LTR2C,MER67A,LTR12C,MER49,MER50,MER41B,LTR46,MER4B,MER66C,LTR2B,LTR10A,LTR7B,MER65A,MER52A,MER52C,MER83,LTR26B,MER4D,MER65B,MER89,MER31A,MER66B,LTR26,MER34,LTR19A,LTR27,MER51A,LTR10B1,LTR21B,MER34C2,MER39,LTR45C,LTR8A,LTR38,LTR78B,MER92B,LTR10E,LTR24C,MER48,LTR7A,MER61B,MER57B1,MER90,LTR1,LTR1B,MER61D,MER61A,LTR8,MER110,LTR24,LTR24B,MER57A1,LTR10C,LTR48B,MER34-int,LTR23,MER34B,LTR54,MER34C,MER34A1,MER41A,LTR1C,LTR19B,LTR71B,MER51E,LTR75_1,MER72,MER52D,LTR12E,LTR12,MER101,LTR36,LTR71A,MER84,LTR9,LTR29,MER51B,LTR21A,LTR77,LTR61,LTR56,MER4C,MER41E,MER110A,LTR26E,LTR60,LTR2,MER57C1,LTR1D,LTR51,LTR43B,MER67B,LTR65,LTR10F,MER41G,LTR44,LTR45B,LTR45,LTR7Y,LTR12D,LTR10B,LTR10D,PRIMA4_LTR,MER57E2,MER57F,LTR4,MER87,LTR49,MER51D,MER57B2,LTR54B,LTR76,MER50C,PABL_B,LTR15,LTR38B,LTR19C,LTR28,MER66A,LTR7C,LTR48,PABL_A,MER66D,MER57E1,MER41C,LTR6A,MER51C,LTR35A,MER34D,MER65C,LTR12B,MER57D,LTR35,MER50B,LTR31,LTR17,MER83B,PrimLTR79,LTR6B,LTR72B,LTR43,LTR34,LTR27B,MER61F,LTR68,MER61C,MER61E,MER72B,LTR25-int,MER67D,MER83C,MER101B,LTR58,LTR73,MER92C,MER57C2,LTR35B,LTR30,MER87B,LTR25,MER92A,LTR72,LTR38C,LTR10G,LTR59,MER57E3,LTR70,",
"not there yet",
\N,\N,
false,
false,
"notworking",
"Assembly version|hg19|Sequence source|<a href=http://hgdownload.cse.ucsc.edu/goldenPath/hg19/bigZips/ target=_blank>UCSC browser</a>|Date parsed|June 1, 2011|Chromosomes|25|Contigs & misc|68|Total bases|3,137,144,693|Logo art|<a href=http://turing.iimas.unam.mx/~cgg/gallery/EverybodysHive.html target=_blank>link</a>",
"/srv/epgg/data/data/subtleKnife/hg19repeat.chromSize"
);


-- grouping types on genomic features
-- table name defined in macro: TBN_GF_GRP
drop table if exists gfGrouping;
create table gfGrouping (
  id TINYINT not null primary key,
  name char(50) not null
);
insert into gfGrouping values (1, "Repeat fragments");



-- for stuff that can be plotted as decorative tracks (no genome)
-- the grp is also from gfGrouping table
-- filetype: 0: server bigBed, 2: server bigWig
-- name will be used to compose bbi file "name.bigBed"
drop table if exists decorInfo;
create table decorInfo (
  name char(50) not null primary key,
  printname char(100) not null,
  parent char(50) null,
  grp tinyint not null,
  fileType tinyint not null,
  hasStruct tinyint null,
  queryUrl varchar(255) null
);
insert into decorInfo values('repeats','genomic fragments',\N,1,0,0,'null');



drop table if exists track2Label;
create table track2Label (
  name varchar(255) not null primary key,
  label text null
);
load data local infile 'track2Label' into table track2Label;

drop table if exists track2ProcessInfo;
create table track2ProcessInfo (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2ProcessInfo' into table track2ProcessInfo;

drop table if exists track2BamInfo;
create table track2BamInfo (
  name varchar(255) not null,
  bamfile varchar(255) not null,
  bamfilelabel varchar(255) not null
);
load data local infile "track2BamInfo" into table track2BamInfo;

drop table if exists track2Detail;
create table track2Detail (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2Detail' into table track2Detail;

drop table if exists track2GEO;
create table track2GEO (
  name varchar(255) not null primary key,
  geo char(20) not null
);
load data local infile 'track2GEO' into table track2GEO;

drop table if exists track2VersionInfo;
create table track2VersionInfo (
  name varchar(255) not null primary key,
  info varchar(255) not null
);
load data local infile 'track2VersionInfo' into table track2VersionInfo;

-- new trackDetail end here

drop table if exists trackAnnotation;
create table trackAnnotation (
  name varchar(255) not null primary key,
  attridx varchar(255) not null
);
load data local infile "trackAnnotation" into table trackAnnotation;

drop table if exists metadataVocabulary;
create table metadataVocabulary (
  child varchar(255) not null,
  parent varchar(255) not null
);
load data local infile "metadataVocabulary" into table metadataVocabulary;

drop table if exists trackAttr2idx;
create table trackAttr2idx (
  idx varchar(255) not null primary key,
  attr varchar(255) not null,
  note varchar(255) null,
  description text null
);
load data local infile "trackAttr2idx" into table trackAttr2idx;


drop table if exists tempURL;
create table tempURL (
  session varchar(100) not null,
  offset INT unsigned not null,
  urlpiece text not null
);


drop table if exists dataset;
create table dataset (
  tablename varchar(255) not null,
  logo varchar(255) null,
  name varchar(255) not null,
  url varchar(255) null,
  description text not null
);
load data local infile "dataset" into table dataset;

drop table if exists repeattest;
create table repeattest (
  tkname varchar(255) not null
);
load data local infile "repeattest" into table repeattest;


drop table if exists scaffoldInfo;
create table scaffoldInfo (
  parent varchar(255) not null,
  child varchar(255) not null,
  childLength int unsigned not null
);
load data local infile "scaffoldInfo" into table scaffoldInfo;



drop table if exists cytoband;
create table cytoband (
  id int null auto_increment primary key,
  chrom char(20) not null,
  start int not null,
  stop int not null,
  name char(20) not null,
  colorIdx int not null
);

